"""Module for linear feasibility and split feasibility algorithms."""
from suppy.utils import Bounds
from ._bands._ams_algorithms import (
    SequentialAMSHyperslab,
    SequentialWeightedAMSHyperslab,
    SimultaneousAMSHyperslab,
    StringAveragedAMSHyperslab,
    BlockIterativeAMSHyperslab,
)
from ._bands._arm_algorithms import SequentialARM, SimultaneousARM, StringAveragedARM
from ._bands._art3_algorithms import SequentialART3plus

from ._halfspaces._ams_algorithms import (
    SequentialAMSHalfspace,
    SequentialWeightedAMSHalfspace,
    SimultaneousAMSHalfspace,
    StringAveragedAMSHalfspace,
    BlockIterativeAMSHalfspace,
)

from ._hyperplanes._ams_algorithms import (
    SequentialAMSHyperplane,
    SequentialWeightedAMSHyperplane,
    SimultaneousAMSHyperplane,
    StringAveragedAMSHyperplane,
    BlockIterativeAMSHyperplane,
)

from ._split_algorithms import CQAlgorithm

__all__ = [
    "SequentialAMSHyperslab",
    "SequentialWeightedAMSHyperslab",
    "SimultaneousAMSHyperslab",
    "StringAveragedAMSHyperslab",
    "BlockIterativeAMSHyperslab",
    "SequentialAMSHalfspace",
    "SequentialWeightedAMSHalfspace",
    "SimultaneousAMSHalfspace",
    "StringAveragedAMSHalfspace",
    "BlockIterativeAMSHalfspace",
    "SequentialAMSHyperplane",
    "SequentialWeightedAMSHyperplane",
    "SimultaneousAMSHyperplane",
    "StringAveragedAMSHyperplane",
    "BlockIterativeAMSHyperplane",
    "SequentialARM",
    "SimultaneousARM",
    "StringAveragedARM",
    "SequentialART3plus",
    "CQAlgorithm",
]
